### Method

# GIRepository ObjectInfo get_type_init_function_name

since: 2.80

#### Declaration

    const char*
    gi_object_info_get_type_init_function_name (
      GIObjectInfo* info
    )

#### Description

Obtain the name of the function which, when called, will return the `GType` for this object type.

Available since: 2.80

#### Return value

Type: `const char*`

The type init function name.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.